;+
; NAME:
;  strb36
; PURPOSE:
;  Convert an integer into a Base 36 formatted string.
; DESCRIPTION:
;
; CATEGORY:
;  Utility
; CALLING SEQUENCE:
;  str=strb36(val)
; INPUTS:
;  val - Integer (byte, int, long) to be converted
; OPTIONAL INPUT PARAMETERS:
;
; KEYWORD INPUT PARAMETERS:
;
; OUTPUTS:
;  return is the string
; KEYWORD OUTPUT PARAMETERS:
;
; COMMON BLOCKS:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; MODIFICATION HISTORY:
;  98/03/16, Written by Marc W. Buie, Lowell Observatory
;-
FUNCTION strb36,in_val,PAD=pad

   IF badpar(pad,[0,1,2,3],0,caller='STRB36: (PAD) ',default=0) THEN return,''

   str=''
   val=in_val

   REPEAT BEGIN
      digit = val mod 36
      val   = val / 36
      IF digit le 9 THEN $
         str = string(48b+byte(digit))+str $
      else $
         str = string(55b+byte(digit))+str
   ENDREP UNTIL val eq 0

   FOR i=0,pad-strlen(str)-1 DO str='0'+str

   RETURN,str

END
