;+
; NAME:
;	synstar2
; PURPOSE: (one line)
;	Compute a synthetic (Lorentizian) star image.
; DESCRIPTION:
;	This uses the functional form of a Lorentzian point-spread function
;	as described in Bosh et. al., Icarus, 95, 319-324 (1992).
; CATEGORY:
;       Astronomy
; CALLING SEQUENCE:
;	image = synstar(nx,ny,x,y,flux,power,fwhm)
; INPUTS:
;	nx   - X dimension of image.
;	ny   - Y dimension of image.
;	x    - X location(s) of synthetic star(s).
;	y    - Y location(s) of synthetic star(s).
;	flux - Integrated strength of star(s).
;	power- Exponent for the r dependence (must be greater than 1)
;	fwhm - Full Width at Half Maximum of stellar image.
; OPTIONAL INPUT PARAMETERS:
; KEYWORD PARAMETERS:
; OUTPUTS:
;	return - nx by ny image containing star.
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;	92/11/05 - Written by Marc W. Buie, Lowell Observatory
;-
function synstar2,nx,ny,x,y,flux,power,fwhm

